Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 93713 - Move outline window into navigator window
Move outline window into navigator window
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: visualweb
5.x
All All
: P3 (vote)
: 6.x
Assigned To: Peter Zavadsky
issues@obsolete
http://wiki.netbeans.org/wiki/view/Ou...
plan60
:
Depends on: 61334 74737 93711
Blocks: 90450
  Show dependency treegraph
 
Reported: 2007-01-31 21:02 UTC by Peter Zavadsky
Modified: 2007-06-18 03:17 UTC (History)
1 user (show)

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Zavadsky 2007-01-31 21:02:44 UTC
There is a requirement to move the outline window into the navigator window.
It is prepared from the outline point of view, but there are outstanding issues,
which prevented it to do so in the past, see the blocking issues.
Comment 1 Peter Zavadsky 2007-01-31 23:26:17 UTC
CC'ing Dusan as HIE, as the blocking issues mean outstanding problems to get
this done.
Also adding URL.
Comment 2 Peter Zavadsky 2007-03-16 19:01:47 UTC
All the NB blocking issues were resolved. Thanks to Dafe.
I prepared the move of Outline to the Navigator, waiting for the gates to get open.
Comment 3 Peter Zavadsky 2007-03-16 21:15:23 UTC
Fixed.

Checking in
visualweb/designer/src/org/netbeans/modules/visualweb/designer/DesignerTopComp.java;
/cvs/visualweb/designer/src/org/netbeans/modules/visualweb/designer/DesignerTopComp.java,v
 <--  DesignerTopComp.java
new revision: 1.23; previous revision: 1.22
done
Checking in
visualweb/outline/src/org/netbeans/modules/visualweb/outline/Bundle.properties;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/Bundle.properties,v
 <--  Bundle.properties
new revision: 1.2; previous revision: 1.1
done
Checking in
visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanel.java;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanel.java,v
 <--  OutlinePanel.java
new revision: 1.2; previous revision: 1.1
done
Checking in
visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanelProvider.java;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanelProvider.java,v
 <--  OutlinePanelProvider.java
new revision: 1.2; previous revision: 1.1
done
Removing
visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlineTopComponent.java;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlineTopComponent.java,v
 <--  OutlineTopComponent.java
new revision: delete; previous revision: 1.1
done
Removing
visualweb/outline/src/org/netbeans/modules/visualweb/outline/ViewOutlineAction.java;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/ViewOutlineAction.java,v
 <--  ViewOutlineAction.java
new revision: delete; previous revision: 1.1
done
Removing
visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/OutlineTopComponent.settings;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/OutlineTopComponent.settings,v
 <--  OutlineTopComponent.settings
new revision: delete; previous revision: 1.1
done
Checking in
visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/layer.xml;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/layer.xml,v
 <--  layer.xml
new revision: 1.2; previous revision: 1.1
done
Removing
visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/outlineNew.wstcref;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/resources/outlineNew.wstcref,v
 <--  outlineNew.wstcref
new revision: delete; previous revision: 1.1
done
Comment 4 Peter Zavadsky 2007-04-11 19:42:50 UTC
Also fixed the UndoRedo (the support just added).
Checking in
visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanelProvider.java;
/cvs/visualweb/outline/src/org/netbeans/modules/visualweb/outline/OutlinePanelProvider.java,v
 <--  OutlinePanelProvider.java
new revision: 1.4; previous revision: 1.3
done


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo